function [fcs_bytes, fcs] = util_calc_80211_fcs(thePacketBytes)
% Computes CRC32 of provided packet bytes

% Based on the C code example at:
%  http://www.netrino.com/Embedded-Systems/How-To/CRC-Calculation-C-Code

CRCPolynomial = hex2dec('04c11db7');
CRC_Table = util_crc_table_gen(CRCPolynomial, 32);

init_crc = uint32(hex2dec('ffffffff'));
myData = thePacketBytes;

crc_accum = init_crc;
for n=1:length(myData)
    x = bitshift(crc_accum, -24);

    x = bitxor(x, bin2dec(fliplr(dec2bin(myData(n), 8))));
	x = bitand(x,hex2dec('ff'));

    crc_accum = bitxor(bitshift(crc_accum, 8),CRC_Table(x+1));
    
end

% One's complement of 32-bit accumulator value
fcs = bitxor(crc_accum, 2^32-1);

% Extract individual bytes (useful for adding to end of MAC payload)
fcs_bytes = [0 0 0 0];

fcs_bytes(4) = bin2dec(fliplr(dec2bin(bitand(fcs, 255), 8)));
fcs_bytes(3) = bin2dec(fliplr(dec2bin(bitand(bitshift(fcs, -8), 255), 8)));
fcs_bytes(2) = bin2dec(fliplr(dec2bin(bitand(bitshift(fcs, -16), 255), 8)));
fcs_bytes(1) = bin2dec(fliplr(dec2bin(bitand(bitshift(fcs, -24), 255), 8)));

